/* Headings
========================================================================== */

// Headings Options h1: 8.2, 4; h2: 1.6875, 1.5
// [ h1: size (in rem), line height (* leading), margin top (* leading), margin bottom (* leading) ]
$headings: (
  h1: (4.1, 2, 2, 1),
  h2: (2.5, 1.5, 3, 1),
  h3: (2, 1.5, 2, 0.5),
  h4: (1.222, 1, 0, 0.25),
  h5: (1, 1, 2.5, .5),
  h6: (1, 1, 2.5, .5)
  ) !default;

// Set headings sizes, line-heights and margins
@each $heading, $properties in $headings {
  #{$heading} {
    @include font-size(nth($properties, 1));
    @include line-height(nth($properties, 2));
    @include margin-top(nth($properties, 3));
    @include margin-bottom(nth($properties, 4));
  }
}

// CLASSES: Set headings sizes, line-heights and margins
@each $heading, $properties in $headings {
  .#{$heading} {
    @include font-size(nth($properties, 1));
    @include line-height(nth($properties, 2));
    @include margin-top(nth($properties, 3));
    @include margin-bottom(nth($properties, 4));
  }
}

@media screen and (min-width: #{ $max-width + 5 + 'em'}) {
  $leading: $leading-desktop;
  $leading-rem: $leading-rem-desktop;

  @import '../mixins/font-size';
  @import '../mixins/line-height';
  @import '../mixins/margin';

  $headings2: (
    h1: (6.1, 3.5, 3, 1),
    h2: (3, 1.75, 4, 1),
    h3: (2.23, 1.3, 2, 1),
    h4: (1.222, 1, 1, 0.5),
    h5: (1, 1, 2.5, .5),
    h6: (1, 1, 2.5, .5)
    ) !default;

  @each $heading, $properties in $headings2 {
    #{$heading} {
      @include font-size(nth($properties, 1));
      @include line-height(nth($properties, 2));
      @include margin-top(nth($properties, 3));
      @include margin-bottom(nth($properties, 4));
    }
  }

  // CLASSES: Set headings sizes, line-heights and margins
  @each $heading, $properties in $headings2 {
    .#{$heading} {
      @include font-size(nth($properties, 1));
      @include line-height(nth($properties, 2));
      @include margin-top(nth($properties, 3));
      @include margin-bottom(nth($properties, 4));
    }
  }

}

// Set margins between headings
h1 + h2 {
  @include margin-top(2);

  @media screen and (min-width: #{ $max-width + 5 + 'em'}) {
    $leading: $leading-desktop;
    $leading-rem: $leading-rem-desktop;

    @import '../mixins/margin';

    @include margin-top(2);
  }

}

h1 {
  letter-spacing: -0.015em;
}

footer h1 {
  font-size: 30px;
  @include margin-bottom(0.5);
  letter-spacing: -0.01em;
  @include line-height(1);
}

h1, h2, h3 {
  text-transform: uppercase;
}

h2 + h3,
h3 + h4,
h4 + h5 {
  @include margin-top(.5);

  @media screen and (min-width: #{ $max-width + 5 + 'em'}) {
    $leading: $leading-desktop;
    $leading-rem: $leading-rem-desktop;

    @import '../mixins/margin';

    @include margin-top(.5);
  }

}

h4,
.h4 {
  font-family: "acumin-pro", Helvetica, Arial, sans-serif !important;
  text-transform: none;
}

h5 + h6 {
  @include margin-top(-.5);

  @media screen and (min-width: #{ $max-width + 5 + 'em'}) {
    $leading: $leading-desktop;
    $leading-rem: $leading-rem-desktop;

    @import '../mixins/margin';

    @include margin-top(-.5);
  }

}

h6 {
  font-style: italic;
  font-weight: normal;
}

// Change headings font if a heading font is set
@if $font-headings != null {
  h1,
  h2,
  h3,
  h4,
  h5,
  h6,
  .heading {
    font-family: $font-headings;
  }
}

hgroup {
  display: block;
}

#msgContent .heading {
  margin-top: 0;
}

.triangle {
  hr + h2, img + h2 {
    @include margin-top(1);
  }
}

.intro-wrap h1 {
  max-width: 530px;
}

h1 a,
h2 a,
.h1 a,
.h2 a {
  text-decoration: none;
  color: $bwt-black;

  &:hover {
    text-decoration: none;
    color: lighten($bwt-black, 10%);
  }

  &:visited {
    color: $bwt-black;
  }

  &:visited:hover {
    color: lighten($bwt-black, 10%);
  }
}

h3 a,
h4 a,
h5 a,
h6 a {
  text-decoration: none;
  color: $bwt-black;

  &:hover {
    text-decoration: underline;
    color: lighten($bwt-black, 10%);
  }

  &:visited {
    color: $bwt-black;
  }

  &:visited:hover {
    color: lighten($bwt-black, 10%);
  }
}
